<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="CBLOCK">
  <refnamediv>
    <refname>CBLOCK</refname>
    <refpurpose>New C</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/CBLOCK_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_CBLOCK">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CBLOCK">New C</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_CBLOCK">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_CBLOCK">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_CBLOCK">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_CBLOCK">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_CBLOCK">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_CBLOCK">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_CBLOCK">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Others_pal">Others - Others palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_CBLOCK">
    <title>Description</title>
    <para>
This block creates skeleton of the C-computing function. It also
creates library file and object files.  

</para>
  </refsection>
  <refsection id="Dialogbox_CBLOCK">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/CBLOCK_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">simulation function</emphasis>
        </para>
        <para> Name of the function to be generated.</para>
        <para> Properties : Type 'str' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">is block implicit? </emphasis>
        </para>
        <para> If yes (y) is selected, it calls implicit solver (dasrt) else (n) it calls explicit solver, lsodar.</para>
        <para> Properties : Type 'str' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">input ports sizes</emphasis>
        </para>
        <para> Number of regular input ports</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">output ports sizes</emphasis>
        </para>
        <para> Number of regular output ports</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">input event ports sizes</emphasis>
        </para>
        <para> Number of event input ports</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">output events ports sizes</emphasis>
        </para>
        <para> Number of event output ports</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">initial continuous state</emphasis>
        </para>
        <para> Initial Conditions</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">number of zero crossing surfaces</emphasis>
        </para>
        <para> Select to enable zero crossing detection.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">initial discrete state</emphasis>
        </para>
        <para> Initial conditions of the discrete states.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Real parameters vector</emphasis>
        </para>
        <para> Real Parameter vector that the function accepts.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Integer parameters vector</emphasis>
        </para>
        <para> Integer Parameter vector that the function accepts.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">initial firing vector </emphasis>
        </para>
        <para> A vector. Size of this vector corresponds to the number of event outputs. The value of the<inlinemediaobject><imageobject><imagedata fileref="../../../images/CBLOCK_img3_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> entry specifies the time of the preprogrammed event firing on the<inlinemediaobject><imageobject><imagedata fileref="../../../images/CBLOCK_img3_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> output event port. If less than zero, no event is preprogrammed.</para>
        <para> Properties : Type 'vec' of size 'sum(%6)' </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">direct feedthrough </emphasis>
        </para>
        <para> The input to the block at the current time determine the output of the block at the current time. This forces the input to feed through to the output, as if the system were operating at steady-state.</para>
        <para> Properties : Type 'str' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">time dependence </emphasis>
        </para>
        <para> Create a signal that specifies the time dependence.</para>
        <para> Properties : Type 'str' of size 1</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Defaultproperties_CBLOCK">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> yes</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">regular inputs:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : size [1,1] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">regular outputs:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : size [1,1] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation inputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation outputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_CBLOCK">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Misc/CBLOCK.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_CBLOCK">
    <title>Authors</title>
    <para><emphasis role="bold">Ramine Nikoukhah</emphasis> - INRIA</para>
  </refsection>
</refentry>
